umbrello: UMLCheckConstraintDialog Class Reference

umbrello 2.39.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
UMLCheckConstraintDialog Class Reference

A dialog page to display check constraint properties. More...

`#include <umlcheckconstraintdialog.h>`

Inheritance diagram for UMLCheckConstraintDialog:

## Public Member Functions
| UMLCheckConstraintDialog (QWidget *parent, UMLCheckConstraint *pUniqueConstraint)
| ~UMLCheckConstraintDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
void | setupDialog ()
virtual bool | apply ()
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Private Attributes
UMLCheckConstraint * | m_pCheckConstraint
QLabel * | m_pNameL
QLineEdit * | m_pNameLE
QLabel * | m_pCheckConditionL
KTextEdit * | m_pCheckConditionTE

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Detailed Description

A dialog page to display check constraint properties.

A dialog page to display check constraint properties.

Author
  Sharan Rao Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLCheckConstraintDialog()

UMLCheckConstraintDialog::UMLCheckConstraintDialog | ( | QWidget * | parent,
|  | UMLCheckConstraint * | pUniqueConstraint )

Sets up the UMLCheckConstraintDialog

Parameters

  parent | The parent to the UMLUniqueConstraintDialog.
  pUniqueConstraint | The Unique Constraint to show the properties of.

## ◆ ~UMLCheckConstraintDialog()

UMLCheckConstraintDialog::~UMLCheckConstraintDialog | ( |  | ) |

Standard destructor

## Member Function Documentation

## ◆ apply()

bool UMLCheckConstraintDialog::apply | ( |  | ) |
| protectedvirtual

Apply Changes

Reimplemented from SinglePageDialogBase.

## ◆ setupDialog()

void UMLCheckConstraintDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog

## Member Data Documentation

## ◆ m_pCheckConditionL

QLabel* UMLCheckConstraintDialog::m_pCheckConditionL
| private

## ◆ m_pCheckConditionTE

KTextEdit* UMLCheckConstraintDialog::m_pCheckConditionTE
| private

## ◆ m_pCheckConstraint

UMLCheckConstraint* UMLCheckConstraintDialog::m_pCheckConstraint
| private

## ◆ m_pNameL

QLabel* UMLCheckConstraintDialog::m_pNameL
| private

The GUI widgets

## ◆ m_pNameLE

QLineEdit* UMLCheckConstraintDialog::m_pNameLE
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlcheckconstraintdialog.h
- umbrello/dialogs/umlcheckconstraintdialog.cpp